SSSD(8)

NAME
sssd - System Security Services Daemon

SYNOPSIS

sssd [options]

DESCRIPCION

SSSD suministra un conjunto de demonios para gestionar el acceso a directorios remotos y mecanismos de autenticación. Suministra una interfaz NSS y PAM hacia el sistema y un sistema de parte trasera conectable para conectar múltiples fuentes de cuentas diferentes así como interfaz D-Bus. Es también la base para suministrar servicios de auditoría y política a los clientes para proyectos como FreeIPA. Suministra una base de datos más robusta para almacenar los usuarios locales así como datos de usuario extendidos.

OPCIONES

-d,--debug-level NIVEL
    SSSD supports two representations for specifying the debug level. The simplest is to specify a decimal value from 0-9, which represents enabling that level and all lower-level debug messages. The more comprehensive option is to specify a hexadecimal bitmask to enable or disable specific levels (such as if you wish to suppress a level).

    Please note that each SSSD service logs into its own log file. Also please note that enabling “debug_level” in the “[sssd]” section only enables debugging just for the sssd process itself, not for the responder or provider processes. The “debug_level” parameter should be added to all sections that you wish to produce debug logs from.

    In addition to changing the log level in the config file using the “debug_level” parameter, which is persistent, but requires SSSD restart, it is also possible to change the debug level on the fly using the sss_debuglevel(8) tool.

    Niveles de depuración actualmente soportados:

    0, 0x0010: Fatal failures. Anything that would prevent SSSD from starting up or causes it to cease running.

    1, 0x0020: Critical failures. An error that doesn't kill SSSD, but one that indicates that at least one major feature is not going to work properly.

    2, 0x0040: Serious failures. An error announcing that a particular request or operation has failed.

    3, 0x0080: Minor failures. These are the errors that would percolate down to cause the operation failure of 2.

    4, 0x0100: Configuration settings.

    5, 0x0200: Function data.

    6, 0x0400: Trace messages for operation functions.

    7, 0x1000: Trace messages for internal control functions.

    8, 0x2000: Contents of function-internal variables that may be interesting.

    9, 0x4000: Extremely low-level tracing information.

    To log required bitmask debug levels, simply add their numbers together as shown in following examples:

    Ejemplo: Para registrar fallos fatales, críticos y serios y datos de función use 0x0270.

    Example: Para registrar fallos fatales, ajustes de configuración, datos de función, mensajes de traza para funciones de control interno use 0x1310.

    Note: The bitmask format of debug levels was introduced in 1.7.0.

    Default: 0

--debug-timestamps=mode
    1: Agregar marca de tiempo a mensajes de depuración

    0: Desactiva marca de tiempo en mensajes de depuración

    Predeterminado: 1

--debug-microseconds=mode
    1: Agregar microsegundos a la marca de tiempo en mensajes de depuración

    0: Desactiva microsegundos en marcas de tiempo

    Predeterminado: 0

-f,--debug-to-files
    Envía la salida de depuración a ficheros en lugar de a stderr. Por defecto, los ficheros de registro se almacenan en /var/log/sssd y hay ficheros de registro separados para cada servicio y dominio SSSD.

-D,--daemon
    Convertido en un demonio después de la puesta en marcha.

-i,--interactive
    Ejecutar en primer plano, no convertirse en un demonio.

-c,--config
    Especifica un fichero de configuración distinto al de por defecto. El por defecto es /etc/sssd/sssd.conf. Para referencia sobre las opciones y sintaxis del fichero de configuración, consulta la página de manual sssd.conf(5).

-?,--help
    Muestra mensaje de ayuda y sale.

--version
    Imprimir número de versión y salir.

SEñALES

SIGTERM/SIGINT
    Informa a SSSD para terminar graciosamente todos sus procesos hijos y después para el monitor.

SIGHUP
    Le dice a SSSD que pare de escribir en su fichero descriptor de depuración actual y cerrar y reabrirlo. Esto significa facilitar la circulación de registro con programas como logrotate.

SIGUSR1
    Tells the SSSD to simulate offline operation for the duration of the “offline_timeout” parameter. This is useful for testing. The signal can be sent to either the sssd process or any sssd_be process directly.

SIGUSR2
    Tells the SSSD to go online immediately. This is useful for testing. The signal can be sent to either the sssd process or any sssd_be process directly.

NOTAS

If the environment variable SSS_NSS_USE_MEMCACHE is set to "NO", client applications will not use the fast in memory cache.

VEA TAMBIEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/